// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v4.23.4
// source: phxservices/common/types/partner_action/v1/partner_action.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Action type id and display text.
type PartnerActionType struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: ID as mapped in phx-utilities.
	ActionTypeId int32 `protobuf:"varint,1,opt,name=action_type_id,json=actionTypeId,proto3" json:"action_type_id,omitempty"`
	// Required: Display text for this action (i.e. 'Known Shrink').
	ActionTypeText string `protobuf:"bytes,2,opt,name=action_type_text,json=actionTypeText,proto3" json:"action_type_text,omitempty"`
}

func (x *PartnerActionType) Reset() {
	*x = PartnerActionType{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PartnerActionType) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PartnerActionType) ProtoMessage() {}

func (x *PartnerActionType) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PartnerActionType.ProtoReflect.Descriptor instead.
func (*PartnerActionType) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescGZIP(), []int{0}
}

func (x *PartnerActionType) GetActionTypeId() int32 {
	if x != nil {
		return x.ActionTypeId
	}
	return 0
}

func (x *PartnerActionType) GetActionTypeText() string {
	if x != nil {
		return x.ActionTypeText
	}
	return ""
}

// Base type for partner action. Corresponds to one entry in the partner_actions phx-aviary table.
// This will be returned in the GetPartnerActions RPC.
type PartnerAction struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: Store/corp number where the action was performed.
	LocationNumber uint32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// Required: Onepass of the partner who performed the action.
	Onepass string `protobuf:"bytes,2,opt,name=onepass,proto3" json:"onepass,omitempty"`
	// Required: Action type id and display text.
	ActionType *PartnerActionType `protobuf:"bytes,3,opt,name=action_type,json=actionType,proto3" json:"action_type,omitempty"`
	// Required: UTC ISO8601 timestamp denoting the time when this action was performed.
	PerformedAt string `protobuf:"bytes,4,opt,name=performed_at,json=performedAt,proto3" json:"performed_at,omitempty"`
	// Required: Stringified JSON of attributes stored in the database for this action.
	ActionAttributes string `protobuf:"bytes,5,opt,name=action_attributes,json=actionAttributes,proto3" json:"action_attributes,omitempty"`
}

func (x *PartnerAction) Reset() {
	*x = PartnerAction{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PartnerAction) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PartnerAction) ProtoMessage() {}

func (x *PartnerAction) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PartnerAction.ProtoReflect.Descriptor instead.
func (*PartnerAction) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescGZIP(), []int{1}
}

func (x *PartnerAction) GetLocationNumber() uint32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *PartnerAction) GetOnepass() string {
	if x != nil {
		return x.Onepass
	}
	return ""
}

func (x *PartnerAction) GetActionType() *PartnerActionType {
	if x != nil {
		return x.ActionType
	}
	return nil
}

func (x *PartnerAction) GetPerformedAt() string {
	if x != nil {
		return x.PerformedAt
	}
	return ""
}

func (x *PartnerAction) GetActionAttributes() string {
	if x != nil {
		return x.ActionAttributes
	}
	return ""
}

// This will be returned in the GetSelectablePartnerActionTypes RPC for each action type.
type PerformedActionType struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: Action type id and display text.
	ActionType *PartnerActionType `protobuf:"bytes,1,opt,name=action_type,json=actionType,proto3" json:"action_type,omitempty"`
	// Required: UTC ISO8601 timestamp denoting the time when this action was last performed within the timeframe
	// denoted in the start_at field in the GetSelectablePartnerActionTypesRequest
	// if empty, the partner did not perform this action type within the requested timeframe.
	ActionLastPerformedAt string `protobuf:"bytes,2,opt,name=action_last_performed_at,json=actionLastPerformedAt,proto3" json:"action_last_performed_at,omitempty"`
}

func (x *PerformedActionType) Reset() {
	*x = PerformedActionType{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PerformedActionType) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PerformedActionType) ProtoMessage() {}

func (x *PerformedActionType) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PerformedActionType.ProtoReflect.Descriptor instead.
func (*PerformedActionType) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescGZIP(), []int{2}
}

func (x *PerformedActionType) GetActionType() *PartnerActionType {
	if x != nil {
		return x.ActionType
	}
	return nil
}

func (x *PerformedActionType) GetActionLastPerformedAt() string {
	if x != nil {
		return x.ActionLastPerformedAt
	}
	return ""
}

var File_phxservices_common_types_partner_action_v1_partner_action_proto protoreflect.FileDescriptor

var file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDesc = []byte{
	0x0a, 0x3f, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x5f, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x31, 0x2f, 0x70, 0x61, 0x72,
	0x74, 0x6e, 0x65, 0x72, 0x5f, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x2a, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x61, 0x72, 0x74,
	0x6e, 0x65, 0x72, 0x5f, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x76, 0x31, 0x22, 0x63, 0x0a,
	0x11, 0x50, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x24, 0x0a, 0x0e, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x74, 0x79, 0x70,
	0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0c, 0x61, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x49, 0x64, 0x12, 0x28, 0x0a, 0x10, 0x61, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x74, 0x65, 0x78, 0x74, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0e, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x54, 0x65,
	0x78, 0x74, 0x22, 0x82, 0x02, 0x0a, 0x0d, 0x50, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x41, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x12, 0x27, 0x0a, 0x0f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0e, 0x6c,
	0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x18, 0x0a,
	0x07, 0x6f, 0x6e, 0x65, 0x70, 0x61, 0x73, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07,
	0x6f, 0x6e, 0x65, 0x70, 0x61, 0x73, 0x73, 0x12, 0x5e, 0x0a, 0x0b, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3d, 0x2e, 0x70,
	0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x5f,
	0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0a, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x70, 0x65, 0x72, 0x66, 0x6f,
	0x72, 0x6d, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x70,
	0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x65, 0x64, 0x41, 0x74, 0x12, 0x2b, 0x0a, 0x11, 0x61, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x61, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x41, 0x74, 0x74,
	0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x22, 0xae, 0x01, 0x0a, 0x13, 0x50, 0x65, 0x72, 0x66,
	0x6f, 0x72, 0x6d, 0x65, 0x64, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x5e, 0x0a, 0x0b, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x3d, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x5f, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x76,
	0x31, 0x2e, 0x50, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x0a, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x37, 0x0a, 0x18, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6c, 0x61, 0x73, 0x74, 0x5f, 0x70,
	0x65, 0x72, 0x66, 0x6f, 0x72, 0x6d, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x15, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x4c, 0x61, 0x73, 0x74, 0x50, 0x65, 0x72,
	0x66, 0x6f, 0x72, 0x6d, 0x65, 0x64, 0x41, 0x74, 0x42, 0x47, 0x5a, 0x45, 0x70, 0x68, 0x78, 0x2d,
	0x67, 0x72, 0x70, 0x63, 0x2d, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2f, 0x70, 0x72, 0x6f,
	0x78, 0x79, 0x5f, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x5f, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76,
	0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescOnce sync.Once
	file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescData = file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDesc
)

func file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescGZIP() []byte {
	file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescOnce.Do(func() {
		file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescData = protoimpl.X.CompressGZIP(file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescData)
	})
	return file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDescData
}

var file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_phxservices_common_types_partner_action_v1_partner_action_proto_goTypes = []interface{}{
	(*PartnerActionType)(nil),   // 0: phxservices.common.types.partner_action.v1.PartnerActionType
	(*PartnerAction)(nil),       // 1: phxservices.common.types.partner_action.v1.PartnerAction
	(*PerformedActionType)(nil), // 2: phxservices.common.types.partner_action.v1.PerformedActionType
}
var file_phxservices_common_types_partner_action_v1_partner_action_proto_depIdxs = []int32{
	0, // 0: phxservices.common.types.partner_action.v1.PartnerAction.action_type:type_name -> phxservices.common.types.partner_action.v1.PartnerActionType
	0, // 1: phxservices.common.types.partner_action.v1.PerformedActionType.action_type:type_name -> phxservices.common.types.partner_action.v1.PartnerActionType
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_phxservices_common_types_partner_action_v1_partner_action_proto_init() }
func file_phxservices_common_types_partner_action_v1_partner_action_proto_init() {
	if File_phxservices_common_types_partner_action_v1_partner_action_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PartnerActionType); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PartnerAction); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PerformedActionType); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_phxservices_common_types_partner_action_v1_partner_action_proto_goTypes,
		DependencyIndexes: file_phxservices_common_types_partner_action_v1_partner_action_proto_depIdxs,
		MessageInfos:      file_phxservices_common_types_partner_action_v1_partner_action_proto_msgTypes,
	}.Build()
	File_phxservices_common_types_partner_action_v1_partner_action_proto = out.File
	file_phxservices_common_types_partner_action_v1_partner_action_proto_rawDesc = nil
	file_phxservices_common_types_partner_action_v1_partner_action_proto_goTypes = nil
	file_phxservices_common_types_partner_action_v1_partner_action_proto_depIdxs = nil
}
